com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskGroupSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.taskmgr.TaskGroupSoapRow

-     public class TaskGroupSoapRow
      extends FolderSoapRow

  The TaskGroupList class represents a list of task groups. See TaskGroupSoapDO for constants and more information.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskGroupSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getOverdueTasks()` Returns 'overdueTasks'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getStatusRollup()` Returns 'statusRollup'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setOverdueTasks(boolean overdueTasks)` Sets 'overdueTasks'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setStatusRollup(String statusRollup)` Sets 'statusRollup'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskGroupSoapRow

          public TaskGroupSoapRow()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Returns 'status'. The current status of this task group, based on tasks within the task group
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The current status of this task group, based on tasks within the task group
      Parameters:
        `status` - Value of 'status'.

    - #### getStatusRollup

          public String getStatusRollup()

      Returns 'statusRollup'. The cumulative 'rollup' status of the task group, based on the tasks and any sub-task groups in the task group. Possible values are 'Alert', 'Complete', 'NotStarted', 'OK' and 'Warning'
      Returns:
        Value of 'statusRollup'.

    - #### setStatusRollup

          public void setStatusRollup(String statusRollup)

      Sets 'statusRollup'. The cumulative 'rollup' status of the task group, based on the tasks and any sub-task groups in the task group. Possible values are 'Alert', 'Complete', 'NotStarted', 'OK' and 'Warning'
      Parameters:
        `statusRollup` - Value of 'statusRollup'.

    - #### getOverdueTasks

          public boolean getOverdueTasks()

      Returns 'overdueTasks'. Indicates if there are overdue tasks in this task group
      Returns:
        Value of 'overdueTasks'.

    - #### setOverdueTasks

          public void setOverdueTasks(boolean overdueTasks)

      Sets 'overdueTasks'. Indicates if there are overdue tasks in this task group
      Parameters:
        `overdueTasks` - Value of 'overdueTasks'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.